post
/{tenantId}/v1/credit-reports/{creditReportId}/kba-challengeSubmit KBA challenge
Requires Authentication
Credit Reports
Submits answers to knowledge-based authentication questions
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
creditReportIdrequired | string (uuid) | Credit report UUID |
Request Body
required
challengeIdstring
required
answersarray
object[]required
questionIdstring
answerIdstring
Responses
Challenge response
Response Bodyapplication/json
metaResponseMeta
requestobject
walletobject
dataobject
statusstring
errorMessagestring
creditReportIdstring
creditReportunknown
attemptsRemaininginteger
Code Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/credit-reports/{creditReportId}/kba-challenge' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"challengeId": "string",
"answers": [
{
"questionId": "string",
"answerId": "string"
}
]
}'